Package org.eclipse.m2m.atl.engine.emfvm.lib

# Interface HasFields

All Known Implementing Classes:
  `ASMModule`, `EnumLiteral`, `Tuple`

public interface HasFields
Abstract definition of type having fields.

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(AbstractStackFrame frame, Object name)`
Gets a value.
`void`
`set(AbstractStackFrame frame, Object name, Object value)`
Sets a value to the object.
`void`
`unset(AbstractStackFrame frame, Object name)`
Unsets a value to the object.

## Method Details

### set

void set(AbstractStackFrame frame, Object name, Object value)
Sets a value to the object.

Parameters:
  `frame` - the frame context
  `name` - the value name
  `value` - the value

### unset

void unset(AbstractStackFrame frame, Object name)
Unsets a value to the object.

Parameters:
  `frame` - the frame context
  `name` - the value name

### get

Object get(AbstractStackFrame frame, Object name)
Gets a value.

Parameters:
  `frame` - the frame context
  `name` - the value name
Returns:
  the value